Bug 577380 - black display after clicking "Exit installer" in "Unknown Device" dialog
Summary: black display after clicking "Exit installer" in "Unknown Device" dialog
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F13Target
TreeView+ depends on / blocked
 
Reported: 2010-03-26 20:05 UTC by Steve Tyler
Modified: 2014-09-30 23:38 UTC (History)
3 users (show)

Fixed In Version: anaconda-13.38
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:19:00 UTC
Type: ---


Attachments (Terms of Use)
screenshot of "Unknown Device" dialog (114.00 KB, image/png)
2010-03-26 20:05 UTC, Steve Tyler
no flags Details
anaconda.log (3.58 KB, text/plain)
2010-03-26 20:05 UTC, Steve Tyler
no flags Details
program.log (36.61 KB, text/plain)
2010-03-26 20:06 UTC, Steve Tyler
no flags Details
storage.log (113.36 KB, text/plain)
2010-03-26 20:06 UTC, Steve Tyler
no flags Details

Description Steve Tyler 2010-03-26 20:05:18 UTC
Created attachment 402933 [details]
screenshot of "Unknown Device" dialog

Description of problem:
After clicking "Exit installer" in the "Unknown Device" dialog, the display goes black. The pointer is visible and functional. The consoles operate as expected.

Version-Release number of selected component (if applicable):
19:33:18,804 INFO loader: anaconda version 13.37 on x86_64 starting
F13-Beta-RC1
Fedora-13-Beta-x86_64-netinst.iso

How reproducible:
Always.

Steps to Reproduce:
1. Install netinst image on USB stick.
   sudo livecd-iso-to-disk --reset-mbr --format Fedora-13-Beta-x86_64-netinst.iso /dev/sdc1
2. Proceed to the filter dialog shown in the screenshot.
3. Check a hard drive, do not check the USB stick.
4. Click Next.
5. Click "Exit installer".
  
Actual results:
Display goes black.

Expected results:
System reboots.

Additional info:

Black display in a different case is reported here:
Bug 571861 - exception reporting terminates with black display

The "Unknown Device" error is reported here:
Bug 568343 - 13-Alpha.RC3 install from USB drive fails with unknown device

Comment 1 Steve Tyler 2010-03-26 20:05:56 UTC
Created attachment 402934 [details]
anaconda.log

Comment 2 Steve Tyler 2010-03-26 20:06:23 UTC
Created attachment 402935 [details]
program.log

Comment 3 Steve Tyler 2010-03-26 20:06:49 UTC
Created attachment 402936 [details]
storage.log

Comment 4 Ales Kozumplik 2010-03-29 12:18:51 UTC
Proposing as F13Target. I have a simple fix ready for this.

Comment 5 Ales Kozumplik 2010-04-12 07:29:46 UTC
Fixed by a5641ea8efc9e8405ae2de02847dbd916916cee4, will be in anaconda-13.38.

Comment 6 Ales Kozumplik 2010-04-12 07:35:01 UTC
Fixed on rawhide by 88729013d2d3bc0979bef580a7bc8660e47d155d, will be in anaconda-14.4.

Comment 7 Steve Tyler 2010-04-12 18:05:03 UTC
(In reply to comment #5)
> Fixed by a5641ea8efc9e8405ae2de02847dbd916916cee4, will be in anaconda-13.38.    

Thanks, Ales.
http://git.fedoraproject.org/git/anaconda.git?p=anaconda.git;a=commit;h=a5641ea8efc9e8405ae2de02847dbd916916cee4

Comment 8 Bug Zapper 2011-06-02 15:53:10 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2011-06-27 15:19:00 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.